%define lib_major	1
%define lib_name	%mklibname Cw %lib_major
%define develname	%mklibname Cw -d

Summary: 	Full featured multiple window programmer's text editor
Name: 		cooledit
Version: 	4.0.0
Release: 	%mkrel 1
License: 	GPLv2+
Group: 		Editors
URL: 		ftp://ftp.ibiblio.org/pub/Linux/apps/editors/X/cooledit/
Source0:	ftp://ftp.ibiblio.org/pub/Linux/apps/editors/X/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}_48x48.xpm
Patch1:		cooledit-3.17.17-mdv-fix-str-fmt.patch
Patch2:		cooledit-4.0.0-linking.patch
Patch3:		cooledit-4.0.0-python3.patch
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xt)
BuildRequires:	python3

%description 
Full-featured X Window text editor; multiple edit windows; 3D Motif-ish
look and feel; shift-arrow and mouse text highlighting; column text
highlighting and manipulation; color syntax highlighting for various
sources; buildin Python interpretor for macro program.; interactive
graphical debugger - interface to gdb; key for key undo; macro
recording; regular expression search and replace; pull-down menus; drag
and drop; interactive man page browser; run make and other shell
commands with seamless shell interface; redefine keys with an easy
interactive key learner; full support for proportional fonts;

%package -n %lib_name
Group:          Editors
Summary:        Shared library files for cooledit

%description -n %lib_name
Shared library files for cooledit.

%package -n %develname
Group:          Development/C
Summary:        Development files for cooledit
Requires:	%name = %version-%release
Requires:	%lib_name = %version-%release
Provides:	%{name}-devel = %version-%release

%description -n %develname
Files for development from the cooledit package.

%prep
%autosetup -p1

# fix build with new automake 1.13
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*

%build
autoreconf -vfi
%configure --program-prefix='' --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

# Mageia menu entries

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=CoolEdit
Comment=Programmer's text editor with Python and shell scripting hooks
Exec=%{name}
Icon=editors_section
Terminal=false
Type=Application
StartupNotify=true
Categories=TextEditor;Utility;
EOF

%files
%doc AUTHORS NEWS README TODO VERSION
%doc cooledit_16x16.xpm cooledit_32x32.xpm rxvt/README.rxvt
%license COPYING
%_bindir/*
%_datadir/cooledit/
%_mandir/man1/*
%{_datadir}/applications/%{name}.desktop

%files -n %lib_name
%_libdir/*.so.%lib_major
%_libdir/*.so.%lib_major.*

%files -n %develname
%_libdir/*.so


%changelog
* Thu Feb 27 2020 daviddavid <daviddavid> 4.0.0-1.mga8
+ Revision: 1551053
- new version: 4.0.0
- add patch to port to python3
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 3.17.17-15.mga7
+ Revision: 1296776
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 3.17.17-14.mga6
+ Revision: 937961
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.17.17-13.mga5
+ Revision: 743922
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 3.17.17-12.mga5
+ Revision: 693684
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 3.17.17-11.mga5
+ Revision: 678537
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.17.17-10.mga4
+ Revision: 503474
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.17.17-9.mga3
+ Revision: 348138
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 3.17.17-8.mga3
+ Revision: 336571
- fix build with new automake 1.13

* Mon Jun 27 2011 kharec <kharec> 3.17.17-7.mga2
+ Revision: 114343
- imported package cooledit

